Subject: Re: How to echo a string of more than 1024 chars in a bash script?
From: [email-masked] (Matthias Morche)

11 Jul 1998 03:48:02 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: Kim Ollivier <[email-masked]>

Kim Ollivier schrieb:
> 
> I have a script that generates a header and standard script that now
> fails
> if I run it under NT4.0 and B19 Cynus bash shell. I think it used to
> work,
> but it certainly does in Solaris.
> eg
> # make a dummy script
> ... various variables and setup options
> ... dates etc
> echo "
> # comments
> Date: $DATE
> commands
> lots more lines.... more than 1024 chars in total
> " > scriptname
> 
> The resulting scriptname file is truncated. Sometimes bash core dumps.
> 
> Is this a bash limit, an environment setting, an echo command limit, or
> what.
> If it is a built-in limit, what simple shell scripting techniques get
> around it?
....
That is bad style! Try to use cat and a here-document instead:
cat << EOF > scriptname
# comments
DATE : $DATE
commands
....
EOF

I guess Your Environment Space is not large enough for such a long
command line - The command line and the environment variables use the
same space.
-- 
	Matthias Morche (mailto:[email-masked])
		SAT.1 (http://www.sat1.de)

>>> Linux: the greatest adventure game since the invention of the PC <<<
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".